html, body {
    background: #ededed !important;
}

body {
    font-size: 1.2em;
    line-height: 1.5em;
    margin: 0;
}

article {
    display: block;
    max-width: 900px;
    min-width: 360px;
    width: 90%;
    background: #fff;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 15px;
    margin: .5em auto 5em;
    padding: 2em;
}

h1 {
    margin-top: 0;
}

article p:first-of-type {
    margin-top: 1.6em;
}

article p:last-child {
    margin-bottom: 0;
}

footer {
    margin: 0 auto 2em auto;
    text-align: center;
}

footer a {
    color: #666;
    font-size: inherit;
    padding: 1em;
    text-decoration: none;
    text-shadow: 0 1px 1px #fff;
}

footer a:hover, footer a:focus {
    color: #111;
}

strong {
    color: rgb(204, 14, 14);
    font-family: inherit;
    font-weight: normal;
}

.logo img {
    border-radius: 50%;
    box-shadow: 0 0 5px #000, 0 0 5px #000, 0 0 5px #000, 0 0 5px #000, 0 0 5px #000;
}

.experiment {
    border: 1px solid rgb(189, 189, 189);
    margin: 1em 3em;
    border-radius: .2em;
    text-align: left;
}

.experiment .header {
    padding: .2em .4em;
}

.experiment .description {
    padding: .8em 1.4em;
}

.btn-container {
    padding-top: 1rem;
    margin-top: 1.2rem;
    display: flex;
    align-items: center;
    flex-direction: row;
    column-gap: 10px;
    border-top: var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);
}

#takeAction button {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    column-gap: 5px;
}

ol {
    margin-left: 1em;
}

pre {
    border-left: 2px solid red;
    margin-left: 2em;
    padding-left: 1em;
    overflow: auto;
}

@media all and (max-width: 800px) {
    body {
        font-size: 1.1em;
    }

    article {
        margin: 0 auto;
        padding: 1.5em;
        box-shadow: none;
    }

    .experiment {
        margin: 1em .2em;
    }
}

@media all and (max-width: 500px) {
    html, body {
        background: #fff !important;
    }

    body {
        font-size: .9em;
    }

    article {
        margin: 0 auto;
        padding: .5em;
    }

    .experiment {
        margin: 1em .1em;
    }
}

@media all and (max-width: 300px) {
    body {
        font-size: .8em;
    }

    article {
        margin: 0 auto;
        padding: 0;
    }

    .experiment {
        margin: 1em 0;
    }
}

select {
    border: 1px solid #d9d9d9;
    border-radius: 1px;
    height: 50px;
    margin-left: 1em;
    margin-right: -5px;
    padding: 1.1em;
    vertical-align: 6px;
}

p {
    padding: 0 .8em;
    padding-bottom: .4em;
}

/*li {
    border-bottom: 1px solid rgb(189, 189, 189);
    border-left: 1px solid rgb(189, 189, 189);
    padding: .5em;
}
*/

button .tab-text {
    vertical-align: middle;
    margin-top: -12px;
    position: relative;
    display: inline-block;
    margin-left: 7px;
}

div.form-check,
div.form-check input {
    cursor: pointer;
}

div.form-check:has(input:disabled) {
    cursor: not-allowed;
}

code {
    font-size: 1.2em;
}

.commit pre {
    border: 1px dotted #000;
    margin: 1em;
    font-size: 1.2em;
}

blockquote {
    background: rgb(241, 241, 241);
    padding: 1em;
    border: 1px dotted gray;
    margin: 0 1em;
}

.answer {
    border-left: 1px dotted gray;
    margin-left: 5em;
    padding: 0 1em;
}

pre a {
    text-decoration: underline;
}

blockquote.inline {
    margin: 1em;
    border-radius: 3px;
    box-shadow: 2px 2px rgb(182, 170, 170);
}

.recordrtc, .recordrtc .header {
    display: block;
    text-align: center;
    padding-top: 0;
}

.recordrtc video, .recordrtc img {
    max-width: 100%!important;
    vertical-align: top;
}

.recordrtc audio {
    vertical-align: bottom;
}

.recordrtc option[disabled] {
    display: none;
}

.recordrtc select {
    font-size: 17px;
}

h2 {
    color: #a1a1a1 !important;
}

h5 {
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}

.media-controls {
    display: none;
}

.media-container {
    width: 100% !important;
    border: none !important;
}

.media-box {
    border: 2px solid #646464 !important;
    margin: 0 !important;
}

#recorder-frame {
    border: 4px solid rgb(0, 0, 0);
    border-radius: 10px;
    background: #000;
    padding: 8px;
}

video {
    transform: rotateY(180deg) !important;
    -webkit-transform:rotateY(180deg) !important; /* Safari and Chrome */
    -moz-transform:rotateY(180deg) !important; /* Firefox */
}

.going a {
    color: blue !important;
    text-decoration: underline !important;
    cursor: pointer !important;
}

.highlight {
    display: inline-block;
    padding: .03em .25em .07em;
    background: #7d002c;
    color: #fff;
    font-size: 22pt;
}

/* Absolute Center Spinner */
.loading {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay */
.loading:before {
  content: '';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));

  background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
}

.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 150ms infinite linear;
  -moz-animation: spinner 150ms infinite linear;
  -ms-animation: spinner 150ms infinite linear;
  -o-animation: spinner 150ms infinite linear;
  animation: spinner 150ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}